
#include "Node.h"


template<class T>
T Node<T>::get() 
{ 
	return   object; 
}

template<class T>
void Node<T>::set(T   object) 
{ 
	this->object   =   object; 
}

template<class T> 
Node<T>* Node<T>:: getNext() 
{ 
	return   nextNode; 
}

template<class T>
void Node<T>::setNext(Node<T>   * nextNode) 
{ 
	this->nextNode = nextNode; 
}
